%global django_stubs_commit fd057010f6cbf176f57d1099e82be46d39b99cb9
%global typeshed_commit     d38645247816f862cafeed21a8f4466d306aacf3

Name:           python-jedi
Version:        0.18.0
Release:        1
Summary:        A static analysis tool for Python that is typically used in IDEs/editors plugins

License:        MIT
URL:            https://github.com/davidhalter/jedi
Source0:        https://github.com/davidhalter/jedi/archive/v%{version}/jedi-%{version}.tar.gz
Source1:        https://github.com/davidhalter/django-stubs/archive/%{django_stubs_commit}/django-stubs-%{django_stubs_commit}.tar.gz
Source2:        https://github.com/davidhalter/typeshed/archive/%{typeshed_commit}/typeshed-%{typeshed_commit}.tar.gz
BuildArch:      noarch

%description
Jedi is a static analysis tool for Python that is typically used in IDEs/editors plugins.
It has a focus on autocompletion and goto functionality.
Other features include refactoring, code search and finding references.

%prep
%setup -n jedi-%{version}

pushd jedi/third_party
rmdir django-stubs typeshed
tar xf %{SOURCE1} && mv django-stubs-%{django_stubs_commit} django-stubs
tar xf %{SOURCE2} && mv typeshed-%{typeshed_commit} typeshed
popd
cp -p jedi/third_party/django-stubs/LICENSE.txt LICENSE-django-stubs.txt
cp -p jedi/third_party/typeshed/LICENSE LICENSE-typeshed.txt


%build
%py3_build

%install
%py3_install

%files
%license LICENSE.txt LICENSE-django-stubs.txt LICENSE-typeshed.txt
%doc AUTHORS.txt CHANGELOG.rst README.rst
%{python3_sitelib}/jedi/
%{python3_sitelib}/jedi-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Sep 25 2021 Li Chao <clouds@isrc.iscas.ac.cn> - 0.18.0-1
- First packaging for version 0.18
